Index: i18n/ru.ts
===================================================================
--- i18n/ru.ts	(revision 134a9158bdb06b4a9e30aa4386a1a0f0ce5b3320)
+++ i18n/ru.ts	(revision b968056ce39d47e4966f4d964830fdd59bc9e90f)
@@ -18,5 +18,5 @@
         <location filename="../src/tspmodel.cpp" line="156"/>
         <source>Unexpected end of file.</source>
-        <translation type="unfinished"></translation>
+        <translation>Неожиданный конец файла.</translation>
     </message>
     <message>
@@ -55,5 +55,6 @@
         <source>Unable to open task file.
 Error: %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Невозможно открыть файл задания.
+Ошибка: %1</translation>
     </message>
     <message>
@@ -203,8 +204,4 @@
     </message>
     <message>
-        <source>Travelling salesman problem</source>
-        <translation type="obsolete">Задача коммивояжера</translation>
-    </message>
-    <message>
         <location filename="../ui/mainwindow.ce.ui" line="56"/>
         <location filename="../ui/mainwindow.ui" line="35"/>
@@ -291,4 +288,22 @@
     </message>
     <message>
+        <location filename="../ui/mainwindow.ce.ui" line="266"/>
+        <location filename="../ui/mainwindow.ui" line="244"/>
+        <source>Save &amp;As...</source>
+        <translation>Сохранить &amp;как...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="348"/>
+        <location filename="../ui/mainwindow.ui" line="361"/>
+        <source>Solution S&amp;teps</source>
+        <translation>&amp;Ход решения</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="362"/>
+        <location filename="../ui/mainwindow.ui" line="375"/>
+        <source>Solution &amp;Graph</source>
+        <translation>&amp;Граф решения</translation>
+    </message>
+    <message>
         <location filename="../ui/mainwindow.ce.ui" line="466"/>
         <location filename="../ui/mainwindow.ui" line="479"/>
@@ -313,10 +328,4 @@
         <source>Travelling salesman problem[*]</source>
         <translation>Задача коммивояжера[*]</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="266"/>
-        <location filename="../ui/mainwindow.ui" line="244"/>
-        <source>Save &amp;as...</source>
-        <translation>Сохранить &amp;как...</translation>
     </message>
     <message>
@@ -336,10 +345,4 @@
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="348"/>
-        <location filename="../ui/mainwindow.ui" line="361"/>
-        <source>Solution st&amp;eps</source>
-        <translation>&amp;Ход решения</translation>
-    </message>
-    <message>
         <location filename="../ui/mainwindow.ce.ui" line="351"/>
         <location filename="../ui/mainwindow.ui" line="364"/>
@@ -354,10 +357,4 @@
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="362"/>
-        <location filename="../ui/mainwindow.ui" line="375"/>
-        <source>Solution &amp;graph</source>
-        <translation>&amp;Граф решения</translation>
-    </message>
-    <message>
         <location filename="../ui/mainwindow.ce.ui" line="365"/>
         <location filename="../ui/mainwindow.ui" line="378"/>
@@ -478,8 +475,4 @@
         <source>Open help contents</source>
         <translation>Вызвать справку программы</translation>
-    </message>
-    <message>
-        <source>&amp;Context help</source>
-        <translation type="obsolete">&amp;Контекстная справка</translation>
     </message>
     <message>
@@ -605,5 +598,5 @@
     <message>
         <location filename="../ui/mainwindow.ui" line="332"/>
-        <source>P&amp;rint setup...</source>
+        <source>P&amp;rint Setup...</source>
         <translation>&amp;Настройка печати...</translation>
     </message>
